Subject: Re: bug#66117: 30.0.50; `find-buffer-visiting' is slow when opening large number of buffers

From: Ihor Radchenko <[email-masked]>
Date: Sat, 23 Dec 2023 09:41:44 +0000

Eli Zaretskii <[email-masked]> writes:

>> > My advice is to have a prototype working, then time it on local
>> > filesystems.
>> 
>> See the attached patch.
>
> What do we want to do with this? any reasons not to install this on
> master (and close this bug then)?

I thought that it is already installed...

I do not think that we should close the bug even after installing the
patch for `find-buffer-visiting'.

What I had in mind wrt improving `find-buffer-visiting' performance is:

1. Improve the Elisp part (this patch)
2. Improve case-fold-search binding, which will give another speedup
   (another patch I submitted)
3. Optionally add tests
4. Address the scenario Dmitry described in https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66117#91

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>